From ebdf79bd4f05c0bfc69ddb60f152bbb5834e0dba Mon Sep 17 00:00:00 2001
From: Marti Raudsepp <marti@juffo.org>
Date: Wed, 7 Nov 2012 23:20:09 +0200
Subject: [PATCH 3/3] CSRF verification failure now returns HTTP 403
 Forbidden, not 200 OK

---
 pgweb/core/views.py | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/pgweb/core/views.py b/pgweb/core/views.py
index 854bf93..6cbc7f6 100644
--- a/pgweb/core/views.py
+++ b/pgweb/core/views.py
@@ -152,9 +152,11 @@ def sitemap(request):
 
 @nocache
 def csrf_failure(request, reason=''):
-	return render_to_response('errors/csrf_failure.html', {
+	resp = render_to_response('errors/csrf_failure.html', {
 			'reason': reason,
 			})
+	resp.status_code = 403 # Forbidden
+	return resp
 
 # Basic information about the connection
 @cache(seconds=30)
-- 
1.8.0
